# AVLTreeNode | data-structure-typed
Documentation for data-structure-typed

# Class AVLTreeNode<T, NEIGHBOR>

#### Type Parameters

- #### T = any

- #### NEIGHBOR extends AVLTreeNode <T, NEIGHBOR> = AVLTreeNodeNested <T>

#### Hierarchy

- BSTNode <T, NEIGHBOR>
  - AVLTreeNode
    - TreeMultisetNode

#### Implements

- IAVLTreeNode <T, NEIGHBOR>

- Defined in src/data-structures/binary-tree/avl-tree.ts:12

#####
Index

### Constructors

constructor

### Accessors

familyPosition
height
id
left
parent
right
val

## Constructors

### constructor

- new AVLTreeNode<T, NEIGHBOR>(id, val?): AVLTreeNode <T, NEIGHBOR>

- #### Type Parameters

  - #### T = any

  - #### NEIGHBOR extends AVLTreeNode <T, NEIGHBOR, NEIGHBOR> = AVLTreeNodeNested <T>

  #### Parameters

  - ##### id: number

  - ##### `Optional` val: T

  #### Returns AVLTreeNode <T, NEIGHBOR>

  Overrides BSTNode.constructor

  - Defined in src/data-structures/binary-tree/avl-tree.ts:16

## Accessors

### familyPosition

- get familyPosition(): FamilyPosition

- The function determines the position of a node in a family tree structure.

  #### Returns FamilyPosition

  a value of type `FamilyPosition`.

  Implementation of IAVLTreeNode.familyPosition

  Inherited from BSTNode.familyPosition

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:110

### height

- get height(): number

- #### Returns number

  Implementation of IAVLTreeNode.height

  Inherited from BSTNode.height

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:98
- set height(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  Implementation of IAVLTreeNode.height

  Inherited from BSTNode.height

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:102

### id

- get id(): number

- #### Returns number

  Implementation of IAVLTreeNode.id

  Inherited from BSTNode.id

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:42
- set id(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  Implementation of IAVLTreeNode.id

  Inherited from BSTNode.id

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:46

### left

- get left(): undefined | null | NEIGHBOR

- #### Returns undefined | null | NEIGHBOR

  Implementation of IAVLTreeNode.left

  Inherited from BSTNode.left

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:62
- set left(v): void

- #### Parameters

  - ##### v: undefined | null | NEIGHBOR

  #### Returns void

  Implementation of IAVLTreeNode.left

  Inherited from BSTNode.left

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:66

### parent

- get parent(): undefined | null | NEIGHBOR

- #### Returns undefined | null | NEIGHBOR

  Implementation of IAVLTreeNode.parent

  Inherited from BSTNode.parent

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:88
- set parent(v): void

- #### Parameters

  - ##### v: undefined | null | NEIGHBOR

  #### Returns void

  Implementation of IAVLTreeNode.parent

  Inherited from BSTNode.parent

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:92

### right

- get right(): undefined | null | NEIGHBOR

- #### Returns undefined | null | NEIGHBOR

  Implementation of IAVLTreeNode.right

  Inherited from BSTNode.right

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:75
- set right(v): void

- #### Parameters

  - ##### v: undefined | null | NEIGHBOR

  #### Returns void

  Implementation of IAVLTreeNode.right

  Inherited from BSTNode.right

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:79

### val

- get val(): undefined | T

- #### Returns undefined | T

  Implementation of IAVLTreeNode.val

  Inherited from BSTNode.val

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:52
- set val(value): void

- #### Parameters

  - ##### value: undefined | T

  #### Returns void

  Implementation of IAVLTreeNode.val

  Inherited from BSTNode.val

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:56

Generated using TypeDoc